Data Fields

# expdesc Struct Reference

`#include <lua/lparser.h>`

## Data Fields
expkind | k
union {
struct {
int info
int aux
} s
lua_Number nval
} | u
int | t
int | f

## Detailed Description

Definition at line 37 of file lparser.h.

## Field Documentation

int expdesc::aux

Definition at line 40 of file lparser.h.

int expdesc::f

Definition at line 44 of file lparser.h.

Referenced by codenot(), cond(), exp2reg(), init_exp(), isnumeral(), luaK_goiffalse(), luaK_goiftrue(), luaK_posfix(), and luaK_prefix().

int expdesc::info

Definition at line 40 of file lparser.h.

expkind expdesc::k

Definition at line 38 of file lparser.h.

Referenced by adjust_assign(), assignment(), check_conflict(), closelistfield(), codearith(), codecomp(), codenot(), cond(), constructor(), discharge2anyreg(), discharge2reg(), exp1(), exp2reg(), exprstat(), freeexp(), funcargs(), indexupvalue(), init_exp(), isnumeral(), jumponcond(), lastlistfield(), localstat(), luaK_dischargevars(), luaK_exp2anyreg(), luaK_exp2RK(), luaK_goiffalse(), luaK_goiftrue(), luaK_indexed(), luaK_posfix(), luaK_prefix(), luaK_self(), luaK_setoneret(), luaK_setreturns(), luaK_storevar(), retstat(), and singlevaraux().

lua_Number expdesc::nval

Definition at line 41 of file lparser.h.

Referenced by constfolding(), discharge2reg(), luaK_exp2RK(), luaK_prefix(), and simpleexp().

struct { ... } expdesc::s

Referenced by check_conflict(), closelistfield(), codearith(), codecomp(), codenot(), discharge2reg(), exp2reg(), freeexp(), funcargs(), indexupvalue(), init_exp(), invertjump(), jumponcond(), lastlistfield(), luaK_dischargevars(), luaK_exp2anyreg(), luaK_exp2RK(), luaK_goiffalse(), luaK_goiftrue(), luaK_indexed(), luaK_posfix(), luaK_self(), luaK_setoneret(), luaK_storevar(), recfield(), singlevar(), and singlevaraux().

int expdesc::t

Definition at line 43 of file lparser.h.

Referenced by codenot(), exp2reg(), init_exp(), isnumeral(), luaK_goiffalse(), luaK_goiftrue(), luaK_posfix(), and luaK_prefix().

union { ... } expdesc::u

Referenced by check_conflict(), closelistfield(), codearith(), codecomp(), codenot(), constfolding(), discharge2reg(), exp2reg(), freeexp(), funcargs(), indexupvalue(), init_exp(), invertjump(), jumponcond(), lastlistfield(), luaK_dischargevars(), luaK_exp2anyreg(), luaK_exp2RK(), luaK_goiffalse(), luaK_goiftrue(), luaK_indexed(), luaK_posfix(), luaK_prefix(), luaK_self(), luaK_setoneret(), luaK_storevar(), recfield(), simpleexp(), singlevar(), and singlevaraux().

The documentation for this struct was generated from the following file:

- lua/lparser.h